import { Request, Response, ParamsDictionary } from "express-serve-static-core";
import { ParsedQs } from "qs";

// 所有接口的基类
class BaseController {
  protected _req;
  protected _res;

  constructor(
    _req: Request<ParamsDictionary, any, any, ParsedQs, Record<string, any>>,
    _res: Response<any, Record<string, any>, number>
  ) {
    this._req = _req;
    this._res = _res;
  }

  // 成功时返回
  public success(data: string) {
    this._res.json({
      code: 1,
      message: "成功",
      data,
    });
  }

  // 失败时返回
  public error(data: string) {
    this._res.json({
      code: 0,
      message: "失败",
      data,
    });
  }
}

export default BaseController;
